Package org.apache.sling.feature.extension.apiregions.api.config

# Enum PropertyType

java.lang.Object
java.lang.Enum<PropertyType>
org.apache.sling.feature.extension.apiregions.api.config.PropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<PropertyType>`

public enum PropertyType extends Enum<PropertyType>
Property type

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`BYTE`
`CHARACTER`
`DOUBLE`
`EMAIL`
`FLOAT`
`INTEGER`
`LONG`
`PASSWORD`
`PATH`
`SHORT`
`STRING`
`URL`

## Method Summary

Modifier and Type
Method
Description
`static PropertyType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PropertyType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRING

public static final PropertyType STRING

### LONG

public static final PropertyType LONG

### INTEGER

public static final PropertyType INTEGER

### SHORT

public static final PropertyType SHORT

### CHARACTER

public static final PropertyType CHARACTER

### BYTE

public static final PropertyType BYTE

### DOUBLE

public static final PropertyType DOUBLE

### FLOAT

public static final PropertyType FLOAT

### BOOLEAN

public static final PropertyType BOOLEAN

### PASSWORD

public static final PropertyType PASSWORD

### URL

public static final PropertyType URL

### EMAIL

public static final PropertyType EMAIL

### PATH

public static final PropertyType PATH

## Method Details

### values

public static PropertyType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PropertyType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null